com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_FreqReflectedPowerInfo

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_FreqReflectedPowerInfo
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_FreqReflectedPowerInfo

-     public class STUHFL_T_ST25RU3993_FreqReflectedPowerInfo
      extends BR_ST25RU3993_FreqReflectedPowerInfo

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqReflectedPowerInfo

      `BR_ST25RU3993_FreqReflectedPowerInfo.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `applyTunerSetting` < I Param: Frequency to be used for the measurement
    `long` | `frequency`
    `short` | `reflectedI` < I/O Param: flag to apply tuner settings for frequency
    `short` | `reflectedQ` < O Param: Reflected I

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_FreqReflectedPowerInfo()`
    `STUHFL_T_ST25RU3993_FreqReflectedPowerInfo(long frequency, boolean applyTunerSetting, short reflectedI, short reflectedQ)`
    `STUHFL_T_ST25RU3993_FreqReflectedPowerInfo(STUHFL_T_ST25RU3993_FreqReflectedPowerInfo other)` < O Param: Reflected Q

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `fetch()` Measure and get reflected power I/Q values for selected frequency
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqReflectedPowerInfo

      `_Get_FreqReflectedPower`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### frequency

          public long frequency

    - #### applyTunerSetting

          public boolean applyTunerSetting

      < I Param: Frequency to be used for the measurement

    - #### reflectedI

          public short reflectedI

      < I/O Param: flag to apply tuner settings for frequency

    - #### reflectedQ

          public short reflectedQ

      < O Param: Reflected I

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_FreqReflectedPowerInfo

          public STUHFL_T_ST25RU3993_FreqReflectedPowerInfo(STUHFL_T_ST25RU3993_FreqReflectedPowerInfo other)

      < O Param: Reflected Q

    - #### STUHFL_T_ST25RU3993_FreqReflectedPowerInfo

          public STUHFL_T_ST25RU3993_FreqReflectedPowerInfo(long frequency,
                                                            boolean applyTunerSetting,
                                                            short reflectedI,
                                                            short reflectedQ)

    - #### STUHFL_T_ST25RU3993_FreqReflectedPowerInfo

          public STUHFL_T_ST25RU3993_FreqReflectedPowerInfo()

  - ### Method Detail

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Measure and get reflected power I/Q values for selected frequency
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`